Bug 884797 - .local resolving doesn't work
.local resolving doesn't work
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: avahi (Show other bugs)
19
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-06 13:05 EST by Ferry Huberts
Modified: 2015-02-17 09:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:36:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ferry Huberts 2012-12-06 13:05:14 EST
Description of problem:
.local resolving doesn't work because of a (default) configuration file error

Version-Release number of selected component (if applicable):
avahi  0.6.31-5.fc17

How reproducible:
always

Steps to Reproduce:
1. yum install -y avahi
2. cat /etc/avahi/avahi-daemon.conf | grep 'domain-name'
3.
  
Actual results:
.local resolving doesn't work

Expected results:
.local resolving works

Additional info:

EASYFIX

change the line
  #domain-name=local
to
  domain-name=local
Comment 1 Fedora End Of Life 2013-07-03 20:02:53 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Ferry Huberts 2013-07-04 03:02:26 EDT
also requires 'mdns4_minimal' in /etc/nsswitch.conf
Comment 3 Edgar Hoch 2013-07-21 18:54:40 EDT
(In reply to Ferry Huberts from comment #2)
> also requires 'mdns4_minimal' in /etc/nsswitch.conf

'mdns4_minimal' is added to /etc/nsswitch.conf by package 'nss-mdns' in the postinstall scriptlet.

Package 'nss-mdns' nss-mdns provides client functionality for mDNS.
Do you have installed package 'nss-mdns'?
Comment 4 Fedora End Of Life 2015-01-09 12:30:50 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 09:36:18 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.